Library Version 12.1.6.0

Db::get_blob_threshold()
Prev | Chapter 14. Binary Large Objects | Next

## Db::get_blob_threshold()

    #include <db_cxx.h>

    int
    Db::get_blob_threshold(u_int32_t *bytes);

The `Db::get_blob_threshold()` method returns the threshold value, in bytes, beyond which data items are stored as BLOBs. This value can be set using Db::set_blob_threshold(). A value of `0` indicates that BLOBs are not in use for this database.

The `Db::get_blob_threshold()` method always returns `0` to indicate success.

### Parameters

#### bytes

References memory into which is copied the BLOB threshold value.

### Class

Db

### See Also

BLOBs and Related Methods

Prev | Up | Next
Db::get_blob_dir() | Home | Db::set_blob_dir()